#### D.2.8.9 maxdeg1

Procedure from library `poly.lib` (see poly_lib).

Usage:
  maxdeg1(id[,v]); id=poly/ideal/vector/module/matrix, v=intvec

Return:
  integer, maximal [weighted] degree of monomials of id independent of ring ordering, maxdeg1 of i-th variable is v[i] (default: v=1..1).

Note:
  This proc returns one integer while maxdeg returns, in general, a matrix of integers. For one polynomial and if no intvec v is given maxdeg is faster

Example:

    LIB "poly.lib";
    ring r = 0,(x,y,z),wp(1,2,3);
    poly f = x+y2+z3;
    deg(f);            //deg returns weighted degree (in case of 1 block)!
    ==> 9
    maxdeg1(f);
    ==> 3
    intvec v = ringweights(r);
    maxdeg1(f,v);                        //weighted maximal degree
    ==> 9
    matrix m[2][2]=f+x10,1,0,f^2;
    maxdeg1(m,v);                        //absolute weighted maximal degree
    ==> 18

User manual for Singular version 4-0-3, 2016, generated by texi2html.